/*
======================================================================
Quick rest the goal items back to the goals pos/rot
www.Steelronin.com
Scott@steelronin.com  
======================================================================
*/

scriptName = "ResetGoals v0.1.0";
copyright = "Copyright (c) 2004 Scott lange";

/*
updates comments
*/ 

@version 2.3
@warnings
@name SR_ResetGoals
@script generic


generic
{
    scene = Scene();
    sList = scene.getSelect();
    t = scene.currenttime;
    n = size(sList);

    if(sList == nil) return;

// reverse slist order
    listcopy = sList;
    for(a=1;a<=size(listcopy);a++)
        sList[(size(listcopy)+1) - a]=listcopy[a];

// interface
    reqbegin(scriptName);
    c1 = ctlcheckbox("  Reset Position",true);
        ctlposition(c1,5,5,150,20);
    c2 = ctlcheckbox("  Reset Rotation",true);
        ctlposition(c2,5,25,150,20);
    c3 = ctlcheckbox("  Turn off IK",true);
        ctlposition(c3,5,45,150,20);
    c4 = ctltext("","For ResetGoal to work with IK",
        "full scene parameter evaluation Must to be Enabled",
        "Go to Option pannel Hit the f key");
        ctlposition(c4,5,70,150,100);    
    if(!reqpost()) return;
    resetPos = getvalue(c1);
    resetRot = getvalue(c2);
    IKoff = getvalue(c3);
   
    reqend();
    if(IKoff)
        EnableIK();
    RefreshNow();

    for(i = 1;i <= n;i++){  // loop 1
        obj = sList[i];
        if(obj.goal == nil)
            continue;
        goalName = obj.goal;
        pos = obj.getWorldPosition(t);
        rot = obj.getWorldRotation(t);

        goal = goalName;
        SelectItem(goal.id);
        if(resetPos)
            Position(pos);            
        if(resetRot)
            Rotation(rot);
    }   // loop 1

// script clean up
if(IKoff)
    EnableIK();
SelectItem(sList[1].id);
for(n=2;n<=size(sList);n++)
AddToSelection(sList[n].id);

}






















